For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
            • GETList Custom Template Associations
            • PUTUpsert Custom Template Associations
            • DELDelete Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentCustom Template Associations

List Custom Template Associations

GET
https://api.bigcommerce.com/stores/:store_hash/v3/storefront/custom-template-associations
GET
/stores/:store_hash/v3/storefront/custom-template-associations
$curl https://api.bigcommerce.com/stores/store_hash/v3/storefront/custom-template-associations \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200example-1
1{
2 "data": [
3 {
4 "id": 1,
5 "channel_id": 1,
6 "entity_type": "product",
7 "entity_id": 123,
8 "file_name": "custom-product-1.html"
9 },
10 {
11 "id": 2,
12 "channel_id": 12345,
13 "entity_type": "page",
14 "entity_id": 123,
15 "file_name": "custom-page.html"
16 }
17 ],
18 "meta": {
19 "pagination": {
20 "total": 246,
21 "count": 5,
22 "per_page": 5,
23 "current_page": 1,
24 "total_pages": 50,
25 "links": {
26 "next": "?limit=5&page=2",
27 "current": "?limit=5&page=1"
28 }
29 }
30 }
31}

Get a collection of the storeʼs custom template associations across all storefronts.

Was this page helpful?
Previous

Custom Template Associations

Next

Upsert Custom Template Associations

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Themes |Read-only|`store_themes_read_only`| | Themes |Manage|`store_themes_manage`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional
Return results or act upon only template associations in the specified channel.
entity_id:inlist of integersOptional

A comma-separated list of entity IDs to return or act upon. Must be used together with the type filter. Currently, all supported entities have integer-type IDs.

typeenumOptional
Filter associations by type.
Allowed values:
limitintegerOptional
Number of results to return per page.
pageintegerOptional
Which page number to return, based on the limit value. Used to paginate large collections.
is_validbooleanOptional
Optional toggle to filter for exclusively valid or invalid associations entries. An invalid entry is one where its file name does not match up to an existing custom layout file in the currently active theme for the channel.

Response

OK
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
ThemesRead-onlystore_themes_read_only
ThemesManagestore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.